dpkg-genbuildinfo(1)

NOME
dpkg-genbuildinfo - gera ficheiros .buildinfo de Debian

RESUMO
dpkg-genbuildinfo [option...]

DESCRIÇÃO
dpkg-genbuildinfo lê informação a partir de uma árvore fonte Debian compilada e desempacotada e dos ficheiros que gerou, e gera um ficheiro de controle Debian que descreve o ambiente de compilação e os artefactos de compilação (ficheiro .buildinfo).

Este programa foi introduzido no dpkg 1.18.11.

OPÇÕES

--build=type
    Especifica o type de compilação a partir de uma lista de componente separados por vírgulas.

    Os valores permitidos são:

    any Gera informação de compilação incluindo dependências de compilação não qualificadas (Build-Depends) e dependências de compilação específicas da arquitectura (Build-Depends-Arch).

    all Gera informação de compilação incluindo dependências de compilação não qualificadas (Build-Depends) e dependências de compilação independentes da arquitectura (Build-Depends-Indep).

    source
        Efectivamente ignorado; gera informação de compilação com apenas as dependências de compilação não qualificadas (Build-Depends).

    binary
        Gera informação de compilação com todos os três tipos de dependências de compilação. Isto é um alias para any,all.

    full
        Gera informação de compilação com todos os três tipos de dependências de compilação. Isto é um alias para any,all,source, e o mesmo que o caso predefinido quando não é especificada nenhuma opção de compilação.

-ccontrolfile
    Especifica o ficheiro de controle fonte principal de onde ler informação. A predefinição é debian/control.

-lchangelog-file
    Especifica o ficheiro de registo de alterações de onde ler informação. A predefinição é debian/changelog.

-ffiles-list-file
    Especifica onde está a lista de ficheiros que foram produzidos pela compilação em vez de se usar debian/files.

-Fchangelog-format
    Especifica o formato do registo de alterações. Veja dpkg-parsechangelog(1) para informação acerca dos formatos alternativos.

-O[filename]
    Escreve o ficheiro buildinfo na saída standard (ou filename se especificado) em vez de dir/source-name_binary-version_arch.buildinfo (onde dir é .. por predefinição ou upload-files-dir se for usado -u).

-uupload-files-dir
    Procura pelos ficheiros a serem enviados em upload-files-dir em vez de .. (dpkg-genbuildinfo precisa de encontrar estes ficheiros para que possa incluir os seus tamanhos e somatórios de verificação no ficheiro .buildinfo).

--always-include-kernel
    Por predefinição, o campo Build-Kernel-Version não será escrito.

    Especifica que esta opção (desde dpkg 1.19.0) deve sempre escrever um campo Build-Kernel-Version quando gera o .buildinfo.

--always-include-path
    Por predefinição, o campo Build-Path só será escrito se o directório actual começar com um padrão autorizado.

    Em Debian e derivados, o padrão corresponde a /build/ no inicio do nome de caminho.

    Especifica que esta opção deve sempre escrever um campo Build-Path quando gera o .buildinfo.

--admindir=dir
    Altera a localização da base de dados do dpkg. A localização predefinida é /var/lib/dpkg.

-q  dpkg-genbuildinfo pode produzir mensagens informativas no erro standard. -q suprime essas mensagens.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DEB_BUILD_OPTIONS
    Esta variável pode ser usada para activar e desactivar várias funcionalidades que afectam a informação incluída no ficheiro .buildinfo, via opção buildinfo (desde dpkg 1.18.19). Esta opção contém uma lista separada por vírgulas de funcionalidades, prefixadas com os modificadores ‘+’ ou ‘-’, para denotar se se os deve activar ou desactivar. A funcionalidade especial “all” pode ser usada para activar ou desactivar todas as outras funcionalidades. A funcionalidade "path” controla se se deve incluir incondicionalmente o campo Build-Path.

DEB_BUILD_ARCH
    Define a arquitectura de compilação. Isto afecta o valor para o campo Build-Architecture, e a verificação para modo de compilação-cruzada.

DEB_HOST_ARCH
    Define a arquitectura anfitriã. Isto afecta o nome de ficheiro usado para o ficheiro .buildinfo, e a verificação para modo de compilação-cruzada.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

debian/files
    A lista de ficheiros gerados. dpkg-genbuildinfo lê os dados aqui quando produz um ficheiro .buildinfo.

VEJA TAMBÉM
deb-buildinfo(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.